Update Custom Attribute
Update a Custom Attribute. Rate limit: 20 requests per minute per API key.
Authorization
apiKey Authorization<token>
Use format: users API-Key YOUR_API_KEY
In: header
Path Parameters
version*"2026-02"
API version
Default
"2026-02"Value in
- "2026-02"
tenant*string
Tenant slug
id*string
Custom Attribute ID
Query Parameters
select?
Field selection object. Example query: select[slug]=true&select[updatedAt]=true
populate?
Relationship population object. Example query: populate[media][url]=true
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/2026-02/string/custom-attributes/string?select%5Bslug%5D=true&select%5BupdatedAt%5D=true&populate%5Bmedia%5D=%5Bobject+Object%5D" \ -H "Content-Type: application/json" \ -d '{ "id": "string" }'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "tenant": "string", "EventsAttributes": [ {} ], "EventInstancesAttributes": [ {} ], "PostsAttributes": [ {} ], "SeasonsAttributes": [ {} ], "SeriesAttributes": [ {} ], "WorksAttributes": [ {} ], "VenuesAttributes": [ {} ], "OrganizationsAttributes": [ {} ], "PeopleAttributes": [ {} ]}